Subject: bug#36837: 26.2; whitespace-mode: whitespace-line-column is not set to local fill-column

From: Štěpán Němec <[email-masked]>
Date: Fri, 02 Aug 2019 17:30:41 +0200

On Fri, 02 Aug 2019 18:20:13 +0300
Eli Zaretskii wrote:

>> Sure, but isn't that precisely an argument for the reverse order?
>
> No.  The logic here is that a mode hook is more general than
> file-local variables (because a mode hook affects _all_ files that are
> visited with that mode).

Precisely. Maybe I'm being thick, but have you (and Andreas) actually
read what I wrote? I.e., instead of restating the obvious (mode hooks
are more general and should be overridden by file-local variables; no
disagreement there), could you provide some concrete counter-arguments
to my arguments?

-- 
Štěpán